Main Page Alphabetical List Compound List File List Compound Members Related Pages

# TLinePoint Class Reference

Represents a endpoint of a line. More...

`#include <transfer.h>`

List of all members.

## Public Methods
| TLinePoint (const TLinePoint &p)
| Copy constructor :).
| TLinePoint (int x, int y)
| Initializes point with x and y.
| TLinePoint (int x, int y, const TColor &c)
| Initializes the point with x, y and TColor c.
| TLinePoint (int x, int y, const rgba &c)
| Initializes the point with the coordinates x and y and the rgba color c.
const TLinePoint & | operator= (const TLinePoint &p)
| Asignment operator :).
## Public Attributes
__property int | X = { read=_x, write=_x }
| X coordinate (value as is).
__property int | Y = { read=_y, write=_y }
| Y coordinate (value as is).
__property rgba | C = { read=_c, write=_c }
| Color as rgba.
__property TColor | TC = { read=_getTColor, write=_setTColor }
| Color as TColor.
__property bool | Selected = { read=_selected, write=_selected }
| Is point selected?
## Private Methods
TColor | _getTColor ()
| Returns the color saved in.
void | _setTColor (TColor c)
| Sets the value of.
## Private Attributes
int | _x
| Points x coordinate value.
int | _y
| Points y coordinate value.
rgba | _c
| The points color.

## Detailed Description

Represents a endpoint of a line.

Holds all data and functions to manipulate the the endpoint of a line.

Definition at line 53 of file transfer.h.

## Member Function Documentation

TColor TLinePoint::_getTColor | ( |  | ) | `[inline, private]`

| Returns the color saved in. @sa{ _c } as TColor. Definition at line 79 of file transfer.h.

void TLinePoint::_setTColor | ( | TColor | c | ) | `[inline, private]`

| Sets the value of. @sa{ _c } to c. Definition at line 83 of file transfer.h.

## Member Data Documentation

int TLinePoint::_x`[private]`

| Points x coordinate value. This also presents the histo value with a range of: 0-HSIZE Definition at line 63 of file transfer.h. Referenced by operator=(), and TLinePoint().

int TLinePoint::_y`[private]`

| Points y coordinate value. This also represents the alpha value with a range of: 0-0xFF Definition at line 69 of file transfer.h. Referenced by operator=(), and TLinePoint().

The documentation for this class was generated from the following files:

- transfer.h
- transfer.cpp